Subject: [PATCH] ARM: OMAP2+: Prevent redefinition errors for soc.h

From: [email-masked] (Tony Lindgren)
Date: Fri, 9 Nov 2012 16:21:42 -0800

* Jon Hunter <[email-masked]> [121109 15:59]:
> 
> Sorry, I meant in the fixes series I have posted for dmtimer, I am
> adding a new function called omap_dm_timer_populate_errata() that is
> using cpu_is_xxxx() [1]. I had done this a while back, but now I see
> that we want to get away from doing that right?

Yes. Looks like everything we have under plat-omap can be moved
to live under drivers eventually, so let's not use cpu_is_omap
there either. For legacy boot, you can use pdata->timer_capability
for passing that?
 
> I was planning on sending you a pull request for that series on Monday
> but now I am wondering if I should fix this now or later. I was hoping
> this series would make 3.8.

Yeah, sounds like that should be fixed though as we still have a bit
of time early next week.

Regards,

Tony
 
> [1] http://marc.info/?l=linux-omap&m=135249008128365&w=2